%global momorel 1

Name:           sysprof
Version:        3.23.92
Release:        %{momorel}m%{?dist}
Summary:        A system-wide Linux profiler
Group:          Development/System
License:        GPLv2+
URL:            http://sysprof.com/.
Source0:        ftp://ftp.gnome.org/pub/GNOME/sources/sysprof/3.23/sysprof-%{version}.tar.xz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Source1:        sysprof.desktop

BuildRequires:  gtk2-devel >= 2.6
BuildRequires:  libglade2-devel
BuildRequires:  binutils-devel
BuildRequires:  desktop-file-utils

Requires:       kernel >= 2.6.31

ExclusiveArch:  %{ix86} x86_64

%description
Sysprof is a sampling CPU profiler for Linux that collects accurate,
high-precision data and provides efficient access to the sampled
calltrees.

%package        cli
Summary:        Sysprof command line utility

%description    cli
The %{name}-cli package contains the sysprof-cli command line utility.


%package     -n libsysprof-ui
Summary:        Sysprof UI library

%description -n libsysprof-ui
The libsysprof-ui package contains the Sysprof UI library.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q -n sysprof-%{version}

# Fix README
iconv --from=ISO-8859-1 --to=UTF-8 README > README.new && \
touch -r README README.new && \
mv README.new README


%build
%configure --disable-static --disable-Werror
%make V=1

%install
rm -rf ${RPM_BUILD_ROOT}
make install DESTDIR=${RPM_BUILD_ROOT}

desktop-file-install                                            \
        --dir ${RPM_BUILD_ROOT}%{_datadir}/applications         \
        %{SOURCE1}

find $RPM_BUILD_ROOT -name '*.la' -delete

%find_lang %{name} --with-gnome

%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root,-)
%doc COPYING
%doc NEWS README TODO AUTHORS
%{_bindir}/sysprof
%{_datadir}/appdata/org.gnome.Sysprof2.appdata.xml
%{_datadir}/applications/org.gnome.Sysprof2.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.sysprof2.gschema.xml
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/mime/packages/sysprof-mime.xml
%{_datadir}/applications/sysprof.desktop
%{_datadir}/help/*/sysprof

%files cli -f %{name}.lang
%doc COPYING
%{_bindir}/sysprof-cli
%{_libdir}/libsysprof-2.so
%{_libexecdir}/sysprof/sysprofd
%{_datadir}/dbus-1/system.d/org.gnome.Sysprof2.conf
%{_datadir}/dbus-1/system-services/org.gnome.Sysprof2.service
%{_datadir}/polkit-1/actions/org.gnome.sysprof2.policy
%{_unitdir}/sysprof2.service

%files -n libsysprof-ui
%doc COPYING
%{_libdir}/libsysprof-ui-2.so

%files devel
%{_includedir}/sysprof-2/
%{_libdir}/pkgconfig/sysprof-2.pc
%{_libdir}/pkgconfig/sysprof-ui-2.pc

%changelog
* Sat Mar 18 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (3.23.92-1m)
- update 3.23.92

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.1.6-4m)
- rebuild for new GCC 4.6

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.1.6-3m)
- rebuild for new GCC 4.5

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (1.1.6-2m)
- full rebuild for mo7 release

* Sun Jul 25 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.1.6-1m)
- import from Fedora 13

* Tue Jun  8 2010 Gianluca Sforna <giallu gmail com> - 1.1.6-1
- New upstream release

* Sun Sep 27 2009 Gianluca Sforna <giallu gmail com> - 1.1.2-3
- Incorporate suggestions from package review
- Require kernel 2.6.31
- Updated description

* Sat Sep 26 2009 Gianluca Sforna <giallu gmail com> - 1.1.2-1
- New upstream release

* Wed Apr  9 2008 Gianluca Sforna <giallu gmail com> - 1.0.9-1
- version update to 1.0.9

* Tue Aug 28 2007 Gianluca Sforna <giallu gmail com> 1.0.8-2
- update License field

* Thu Dec 21 2006 Gianluca Sforna <giallu gmail com> 1.0.8-1
- version update to 1.0.8

* Tue Nov 21 2006 Gianluca Sforna <giallu gmail com> 1.0.7-1
- version update to 1.0.7

* Wed Nov  1 2006 Gianluca Sforna <giallu gmail com> 1.0.5-1
- version update

* Sun Oct  8 2006 Gianluca Sforna <giallu gmail com> 1.0.3-6
- better to use ExclusiveArch %%{ix86} (thanks Ville)

* Thu Oct  5 2006 Gianluca Sforna <giallu gmail com> 1.0.3-5
- add ExclusiveArch to match sysprof-kmod supported archs

* Tue Oct  2 2006 Gianluca Sforna <giallu gmail com> 1.0.3-4
- add .desktop file

* Fri Sep 30 2006 Gianluca Sforna <giallu gmail com> 1.0.3-3
- versioned Provides
- add BR: binutils-devel

* Fri Sep 29 2006 Gianluca Sforna <giallu gmail com> 1.0.3-2
- own sysprof directory

* Thu Jun 22 2006 Gianluca Sforna <giallu gmail com> 1.0.3-1
- version update
- use standard %%configure macro

* Sun May 14 2006 Gianluca Sforna <giallu gmail com> 1.0.2-1
- Initial Version
